Master CRM - Operational #1590
Facebook Posts Ul
04/29/2021 12:40 PM - Sidra Ghaffar

Status: New Start date: 04/29/2021
Priority: Normal Due date:

Assignee: hassaan majeed % Done: 60%
Category: Estimated time: 6.00 hours
Target version:

Description

History

#1 - 04/29/2021 12:40 PM - hassaan majeed
- Estimated time set to 6.00

#2 - 04/29/2021 06:07 PM - hassaan majeed
- % Done changed from 20 to 60

29-04-2021

Facebook Posts Ul - 4 hours 30 minutes

05/06/2025
